FROM almalinux:9

ENV container=docker

# Install requirements.
RUN yum -y install rpm dnf-plugins-core \
 && yum -y config-manager --set-enabled crb \
 && yum -y update \
 && yum -y install --allowerasing \
	epel-release \
	sudo \
	which \
	hostname \
	libyaml-devel \
	python3 \
	python3-pip \
	python3-pyyaml \
	rsync \
	wget \
	curl \
	git \
	ruby \
 && yum clean all

RUN python3 -m pip install --no-cache-dir --upgrade pip \
     && pip3 install --no-cache-dir ansible

RUN ansible-galaxy collection install community.general && \
        ansible-galaxy collection install ansible.posix && \
        ansible-galaxy collection install community.docker && \
        ansible-galaxy collection list

RUN mkdir -p /root/.ssh

# Disable requiretty.
RUN sed -i -e 's/^\(Defaults\s*requiretty\)/#--- \1/'  /etc/sudoers

CMD ["ansible-playbook"]

